# onBindHeaderView

@ JvmOverloads
fun < E > RecyclerAdapterBuilder< E >. onBindHeaderView (Hikageable: HikagePerformer< ViewGroup.LayoutParams >, viewHolder: (hikage: Hikage) -> Unit = {}): RecyclerAdapterBuilder< E >

Create and add view holder from Hikage.Delegate for a header view.

Usage:

    onBindHeaderView(
        Hikageable = {
            TextView(
                id = "text",
                lparams = LayoutParams(widthMatchParent = true)
            ) {
                text = "Header"
                textSize = 20f
            }
       }
    ) { hikage ->
        hikage.get<TextView>("text").text = "Header with redefined text"
    }

Content copied to clipboard

#### Return

RecyclerAdapterBuilder<E>

#### Parameters

Hikageable

the performer body.

#### See also

RecyclerAdapterBuilder.onBindHeaderView

@ JvmOverloads
fun < E > RecyclerAdapterBuilder< E >. onBindHeaderView (delegate: Hikage.Delegate<*>, viewHolder: (hikage: Hikage) -> Unit = {}): RecyclerAdapterBuilder< E >

Create and add view holder from Hikage.Delegate for a header view.

#### Return

RecyclerAdapterBuilder<E>

#### Parameters

delegate

the delegate.

#### See also

RecyclerAdapterBuilder.onBindHeaderView